#include <stdio.h>
#include <strings.h>
#include <stdlib.h>

struct poly {
  int len;
  int coef[20000];
};

void
nasob(struct poly *p1, struct poly *p2, struct poly *p3)
{
  int i, j;
  p3->len = 0;
  for (i=0; i<19999; i++)
    p3->coef[i] = 0;
  for (i=0; i<p1->len+1; i++)
    for (j=0; j<p2->len+1; j++) {
      p3->coef[i+j] += p1->coef[i] * p2->coef[j];
      if ((i+j) > p3->len)
	p3->len = i+j+1;
    }
}

void
setpoly(struct poly *p1, struct poly *p2)
{
  memcpy(p2, p1, sizeof(struct poly));
}

void
zero(struct poly *p)
{
  int i;
  p->len = 1;
  for (i=0; i<19999; i++)
    p->coef[i] = 0;
}

void
skalarplus(struct poly *p1, int a, struct poly *p2)
{
  int i;
  for (i=0; i<p1->len+1; i++) {
    p2->coef[i] += p1->coef[i]*a;
  }
  if (p2->len < p1->len)
    p2->len = p1->len;
}

void
readpoly(struct poly *p, int len)
{
  int i;
  p->len = len;
  for (i=0; i<len; i++) {
    scanf( "%d", &p->coef[i] );
  }
}

void
printpoly(struct poly *p)
{
  int i;
  while((! p->coef[p->len-1]) && (p->len>1))
    p->len--;
  for (i=0; i<p->len; i++)
    printf( "%d%s", p->coef[i], i==p->len-1 ? "": " " );
  printf( "\n" );
}

int
main(void)
{
  int curz, totalz;

 scanf("%d\n", &totalz);
 for (curz=0; curz<totalz; curz++) {
   int m,n;
   int i;
   struct poly P, Q, Result;
   struct poly *Qs;
   scanf("%d %d", &m, &n);
   readpoly( &P, m+1 );
   readpoly( &Q, n+1 );
#if 0
   printf( "P = " ); printpoly(&P);
   printf( "Q = " ); printpoly(&Q);
#endif
	  /* umocnujem Q, dosazujem do P */
   Qs = &Q;
   zero(&Result);
   Result.coef[0] = P.coef[0];
   for (i=1; i<m+1; i++) {
     struct poly *Qx = malloc(sizeof(struct poly));
     if (i>=P.len)
       return 1;
#if 0
     printf( "Q^%d = ", i); printpoly( Qs );
#endif
     skalarplus(Qs, P.coef[i], &Result);
     nasob(&Q, Qs, Qx);
     Qs = Qx;
   }
   /* printf( "Res = " ); */ printpoly(&Result);
   
 }
 return 0;
}
