#include <stdio.h>
#include <strings.h>
#include <stdlib.h>

#define MAX 200
#define NDIRS 8
typedef int inta[MAX];
typedef char chara[MAX];

struct moje { int i,j; };
struct moje dirs[] = { { 0,1 } , { 0,-1}, { 1,1},{1,0}, { 1,-1},{-1,0},{-1,-1},{-1,1} };

#define MAXLEN 20

typedef struct mitem {
   char w[MAXLEN+1];
   int dir;
   int r;
   int s;
} ditem;

inta hit[MAX];
chara text[MAX];

int compareditem(ditem * p1, ditem *p2)
{ return strcmp(p1->w,p2->w);
}

#define MIN(a,b) ((a)>(b)?(b):(a))

int comparebyprefix(ditem * p1, ditem *p2)
{ return strncmp(p1->w,p2->w,MIN(strlen(p1->w),strlen(p2->w)));
}

ditem data[MAX*MAX*NDIRS],key;

int main(void)
{
  int curz, totalz, i, j, k, l,r,s,ds,dr,ir,is,il,id,nitems,found;
 char buf[10240];
   ditem *dp;


 scanf("%d\n", &totalz);
 for (curz=0; curz<totalz; curz++) {
    scanf("%d %d",&r,&s);
    for (ir=0;ir<r;ir++) {
      scanf("%s",buf);
      memcpy(text[ir],buf,s);
    };
    scanf("%d",&k);
    for (ir=0;ir<r;ir++) 
      for (is=0;is<s;is++) 
        hit[ir][is]=0;

    if (k>20) {
    nitems=0;
    for (ir=0;ir<r;ir++) 
      for (is=0;is<s;is++) {
        hit[ir][is]=0;
        for (id=0;id<NDIRS;id++) {
	  dp=&data[nitems++];
	  dp->r=ir;
	  dr=dirs[id].i;
	  ds=dirs[id].j;
	  dp->s=is;
	  dp->dir=id;
	  dp->w[MAXLEN]=0;
	  /*	  printf( "Dir = %d\n", id );*/
	  for (il=0;il<MAXLEN;il++) {
	    int r1, s1;
	    r1 = MAXLEN*r+ir+il*dr;
	    s1 = MAXLEN*s+is+il*ds;
            dp->w[il]=text[r1%r][s1%s];
	  };
	};
      };

#if 0 
    printf("Before qsort\n");
    for (i=0;i<nitems;i++) 
      printf("%s at %d,%d dir %d\n",data[i].w,data[i].r,data[i].s,data[i].dir);
#endif
    qsort(data,nitems,sizeof (ditem),compareditem);
#if 0 
    printf("After qsort\n");
    for (i=0;i<nitems;i++) 
      printf("%s at %d,%d dir %d\n",data[i].w,data[i].r,data[i].s,data[i].dir);
#endif

    while (k--) {
      static char buf2[10240] = "0";
      scanf("%s",buf);
      /*      printf( ".(%s,%s)\n", buf, buf2 );*/
      if (!strcmp(buf2, buf))
	continue;
      strcpy(buf2, buf);
      l=strlen(buf);
      /* continue;  !!! */
      strcpy(key.w,buf);
      dp=bsearch(&key,data,nitems,sizeof (ditem),comparebyprefix);
      if (!dp) continue;

      i=dp-data;
      while ((i<nitems) && (strncmp(data[i].w,buf,l)==0)) {
        ir=data[i].r;is=data[i].s;
	dr=dirs[data[i].dir].i;
	ds=dirs[data[i].dir].j;
	for (il=0;il<l;il++)
	  hit[(MAXLEN*r+ir+il*dr)%r][(MAXLEN*s+is+il*ds)%s]=1;
        i++;
      };

      i=dp-data; i--;
      while ((i>=0) && (strncmp(data[i].w,buf,l)==0)) {
        ir=data[i].r;is=data[i].s;
	dr=dirs[data[i].dir].i;
	ds=dirs[data[i].dir].j;
	for (il=0;il<l;il++)
	  hit[(MAXLEN*r+ir+il*dr)%r][(MAXLEN*s+is+il*ds)%s]=1;
        i--;
      };
    };

    } else { /* 50 */
      
      while (k--) {
	scanf("%s",buf);
	l=strlen(buf);
	for (ir=0;ir<r;ir++) {
	  for (is=0;is<s;is++) {
	    for (id=0;id<NDIRS;id++) {
	      dr=dirs[id].i;
	      ds=dirs[id].j;
	      found=1;
	      for (il=0;il<l;il++) {
		if (text[(MAXLEN*r+ir+il*dr)%r][(MAXLEN*s+is+il*ds)%s]!=buf[il]) {
		  found=0;
		  break;
		};
	      };
	      if (found) 
		for (il=0;il<l;il++)
		  hit[(MAXLEN*r+ir+il*dr)%r][(MAXLEN*s+is+il*ds)%s]=1;
	    };
	  };
	};
      };
    };

    for (ir=0;ir<r;ir++) 
      for (is=0;is<s;is++) if (!hit[ir][is]) printf("%c",text[ir][is]);
    printf("\n");

  
   /*   scanf("%d %d", &i, &j); */
   /*   gets(buf); */
 }
 return 0;
}
